# TdApi.ProxyType (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ProxyType

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ProxyType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ProxyType

Direct Known Subclasses:
  `TdApi.ProxyTypeHttp`, `TdApi.ProxyTypeMtproto`, `TdApi.ProxyTypeSocks5`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.ProxyType extends TdApi.Object permits TdApi.ProxyTypeSocks5, TdApi.ProxyTypeHttp, TdApi.ProxyTypeMtproto
This class is an abstract base class. Describes the type of a proxy server.

## Constructor Summary

Constructors
Constructor
Description
`ProxyType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProxyType

public ProxyType()
Default class constructor.